from dataclasses import dataclass
from datetime import datetime
import string

@dataclass
class Measurement24v:
  timestamp: datetime
  source: string
  current: tuple[float, ...]
  status: int
  overload: int
  short_circuit: int
  limit: int
  pushbutton: int
  voltage: float
  series = "24v"

@dataclass
class Measurement480v:
  timestamp: datetime
  source: string
  voltage: tuple[float, ...]
  current: tuple[float, ...]
  phase: tuple[float, ...]
  series = "480v"